<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>994ca6ff-cc31-47d5-ac18-c044358f59f4</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <None Remove=".gitignore" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Blazored.LocalStorage" Version="4.3.0" />
    <PackageReference Include="Blazored.Modal" Version="7.1.0" />
    <PackageReference Include="Blazorise.Bootstrap" Version="1.1.2" />
    <PackageReference Include="Blazorise.DataGrid" Version="1.1.2" />
    <PackageReference Include="Blazorise.Icons.FontAwesome" Version="1.1.2" />
    <PackageReference Include="Microsoft.Extensions.Localization" Version="7.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.15.1" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Resources\Pages.List.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Pages.List.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Resources\Pages.List.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Pages.List.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>
